For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • GETDetail
LogoLogo
BlogLogin
API Referenceinteractions

List

GET
https://api.flockx.io/api/v1/interactions
GET
/api/v1/interactions
$curl -G https://api.flockx.io/api/v1/interactions \
> -H "Authorization: <apiKey>" \
> -d end_time=end_time
1{
2 "items": [
3 {
4 "id": "foo",
5 "created_at": "foo",
6 "channel_id": "foo",
7 "participant": {
8 "type": "foo",
9 "user_id": "foo"
10 },
11 "content": [
12 {
13 "type": "foo",
14 "text": "foo"
15 }
16 ],
17 "content_role": "user_message",
18 "complete": true,
19 "metadata": {},
20 "nested_interactions": [
21 null
22 ],
23 "interaction_id": "foo",
24 "span_id": "foo",
25 "parent_span_id": "foo",
26 "organization_id": "foo",
27 "organization_application": "foo",
28 "reactions": [
29 {
30 "interaction_id": "foo",
31 "emoji": "foo",
32 "count": 42,
33 "reacted_by_me": true
34 }
35 ],
36 "agent_read_receipts": [
37 {
38 "id": "foo",
39 "message_event_id": "foo",
40 "interaction_id": "foo",
41 "agent_id": "foo",
42 "read_at": "foo"
43 }
44 ]
45 }
46 ],
47 "meta": {
48 "total": 42,
49 "has_next": true,
50 "has_previous": true,
51 "page": 42
52 }
53}
List interactions for a user.
Was this page helpful?
Previous

Detail

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

sizeintegerOptional1-100Defaults to 50
pageintegerOptional>=1Defaults to 1
sort_orderenum or nullOptional

Sort order (asc or desc)

Allowed values:
end_timestringRequiredformat: "date-time"
Timestamp for the latest interaction to include.
sourceenum or nullOptional
The source of the interaction.
Allowed values:
agent_idstring or nullOptionalformat: "uuid"
The ID of the agent for which to get interactions.
channel_idstring or nullOptionalformat: "uuid"
The ID of the channel for which to get interactions.
typeenum or nullOptional
The type of interaction to get.
Allowed values:
include_nested_interactionsbooleanOptionalDefaults to false
Whether to include nested interactions.
include_incompleteboolean or nullOptional
Whether to include incomplete interactions.
include_external_agentsbooleanOptionalDefaults to false

Include channels where external agent participants (e.g., ASI chats) have addresses matching agents in the organization.

Response

Successful Response
itemslist of objects
metaobject

Errors

422
Unprocessable Entity Error